Loading...
Searching...
No Matches
irr::scene::IVertexBuffer Class Referenceabstract

`#include <IVertexBuffer.h>`

Inheritance diagram for irr::scene::IVertexBuffer:

## Public Member Functions

virtual u32 | allocated_size () const =0
virtual u32 | getChangedID () const =0
| Get the currently used ID for identification of changes.
virtual void * | getData ()=0
virtual E_HARDWARE_MAPPING | getHardwareMappingHint () const =0
| get the current hardware mapping hint
virtual video::S3DVertex & | getLast ()=0
virtual video::E_VERTEX_TYPE | getType () const =0
virtual video::S3DVertex & | operator[] (const u32 index) const =0
virtual video::S3DVertex * | pointer ()=0
virtual void | push_back (const video::S3DVertex &element)=0
virtual void | reallocate (u32 new_size)=0
virtual void | set_used (u32 usedNow)=0
virtual void | setDirty ()=0
| flags the meshbuffer as changed, reloads hardware buffers
virtual void | setHardwareMappingHint (E_HARDWARE_MAPPING NewMappingHint)=0
| set the hardware mapping hint, for driver
virtual void | setType (video::E_VERTEX_TYPE vertexType)=0
virtual u32 | size () const =0
virtual u32 | stride () const =0
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Definition at line 17 of file IVertexBuffer.h.

## Member Function Documentation

## allocated_size()

virtual u32 irr::scene::IVertexBuffer::allocated_size | ( |  | ) | const

pure virtual

Implemented in irr::scene::CVertexBuffer.

## getChangedID()

virtual u32 irr::scene::IVertexBuffer::getChangedID | ( |  | ) | const

pure virtual

Get the currently used ID for identification of changes.

This shouldn't be used for anything outside the VideoDriver.

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getChangedID_Vertex().

## getData()

virtual void * irr::scene::IVertexBuffer::getData | ( |  | ) |

pure virtual

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getVertices(), and irr::scene::IDynamicMeshBuffer::getVertices().

## getHardwareMappingHint()

virtual E_HARDWARE_MAPPING irr::scene::IVertexBuffer::getHardwareMappingHint | ( |  | ) | const

pure virtual

get the current hardware mapping hint

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getHardwareMappingHint_Vertex().

## getLast()

virtual video::S3DVertex & irr::scene::IVertexBuffer::getLast | ( |  | ) |

pure virtual

Implemented in irr::scene::CVertexBuffer.

## getType()

virtual video::E_VERTEX_TYPE irr::scene::IVertexBuffer::getType | ( |  | ) | const

pure virtual

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::CVertexBuffer::CVertexBuffer(), and irr::scene::IDynamicMeshBuffer::getVertexType().

## operator[]()

virtual video::S3DVertex & irr::scene::IVertexBuffer::operator[] | ( | const u32 | index | ) | const

pure virtual

Implemented in irr::scene::CVertexBuffer.

## pointer()

virtual video::S3DVertex * irr::scene::IVertexBuffer::pointer | ( |  | ) |

pure virtual

Implemented in irr::scene::CVertexBuffer.

## push_back()

virtual void irr::scene::IVertexBuffer::push_back | ( | const video::S3DVertex & | element | ) |

pure virtual

Implemented in irr::scene::CVertexBuffer.

## reallocate()

virtual void irr::scene::IVertexBuffer::reallocate | ( | u32 | new_size | ) |

pure virtual

Implemented in irr::scene::CVertexBuffer.

## set_used()

virtual void irr::scene::IVertexBuffer::set_used | ( | u32 | usedNow | ) |

pure virtual

Implemented in irr::scene::CVertexBuffer.

## setDirty()

virtual void irr::scene::IVertexBuffer::setDirty | ( |  | ) |

pure virtual

flags the meshbuffer as changed, reloads hardware buffers

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::setDirty().

## setHardwareMappingHint()

virtual void irr::scene::IVertexBuffer::setHardwareMappingHint | ( | E_HARDWARE_MAPPING | NewMappingHint | ) |

pure virtual

set the hardware mapping hint, for driver

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::setHardwareMappingHint().

## setType()

virtual void irr::scene::IVertexBuffer::setType | ( | video::E_VERTEX_TYPE | vertexType | ) |

pure virtual

Implemented in irr::scene::CVertexBuffer.

## size()

virtual u32 irr::scene::IVertexBuffer::size | ( |  | ) | const

pure virtual

Implemented in irr::scene::CVertexBuffer.

Referenced by irr::scene::CVertexBuffer::CVertexBuffer(), irr::scene::IDynamicMeshBuffer::getVertexCount(), and irr::scene::CDynamicMeshBuffer::recalculateBoundingBox().

## stride()

virtual u32 irr::scene::IVertexBuffer::stride | ( |  | ) | const

pure virtual

Implemented in irr::scene::CVertexBuffer.

The documentation for this class was generated from the following file:

- IVertexBuffer.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0